version: '3.4'

services:
  oc-auth-2:
    image: 'oc-auth-2:latest'
    ports:
      - 8095:8080
    container_name: oc-auth-2
    environment:
          LDAP_ENDPOINTS: ldap-2:389
          LDAP_BINDDN: cn=admin,dc=example,dc=com
          LDAP_BINDPW: password
          LDAP_BASEDN: "dc=example,dc=com"
          LDAP_ROLE_BASEDN: "ou=AppRoles,dc=example,dc=com"
    networks: 
      - catalog
    volumes:
      - ./pem:/etc/oc/pem
networks: 
  catalog:
    external: true